This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 63380 - rhn-applet needs a tunable for how often it checks
rhn-applet needs a tunable for how often it checks
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: rhn-applet (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Robin Norwood
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-13 01:01 EDT by Bill Nottingham
Modified: 2014-03-16 22:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-07 10:33:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2002-04-13 01:01:44 EDT
Currently, it appears to be checking every 30 seconds... this seems to me to be
way too often. It would be nice if:

a) the default was longer
b) it was tunable
Comment 1 Chip Turner 2002-04-13 23:45:32 EDT
there are different things going on.  the applet polls the model evern 10
seconds now (though it no longer changes the icon).  this poll is almost always
a noop though -- it chgecks mtime on /var/lib/rpm/Packages, then checks to see
if it's time to do RPC again.  the time for next RPC is actually sent down from
our servers in RWC, specifically not a user tunable parameter, so that we can
better control load.

none of those numbers really should be user-tunable though.
Comment 2 Gene Czarcinski 2002-08-10 15:34:08 EDT
Right now it appears to consume a fair amout of CPU cycles doing this checking.

Also, much of the time it is displaying a "?" on grey instead of a "check" on
blue or "!" on red.

When I click the "?", a popup message says "Network Error - 12: SSL_connect error"

The CPU cycles really need to be cut!
Comment 3 Robin Norwood 2005-10-07 10:33:11 EDT
Closing this bug.  The original issue is wontfix as described in comment #1, and
newer versions of the applet are better about cpu resources.  (Memory usage is
another matter - see bug #170022.)

Note You need to log in before you can comment on or make changes to this bug.